Bug 110502 - Clean up code for bash tests
Summary: Clean up code for bash tests
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 1
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-20 10:38 UTC by Howard Wilkinson
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-21 21:15:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fixes BASH tests in some of the scripts for anaconda-runtime (1.54 KB, patch)
2003-11-20 10:39 UTC, Howard Wilkinson
no flags Details | Diff

Description Howard Wilkinson 2003-11-20 10:38:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.4)
Gecko/20030624 Netscape/7.1 (ax)

Description of problem:
Being a bit pendantic I enclose a patch to fix some bash tests to use
the POSIX standard. I think this also fixes a bug but not sure as I
don't use the Run feature.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Possibly cosmetic only fix.
2.
3.
    

Additional info:

Comment 1 Howard Wilkinson 2003-11-20 10:39:23 UTC
Created attachment 96084 [details]
Fixes BASH tests in some of the scripts for anaconda-runtime

Comment 2 Jeremy Katz 2003-11-21 21:15:06 UTC
These are all perfectly valid bash expressions.  buildinstall requires
bash.


Note You need to log in before you can comment on or make changes to this bug.